Subject: bug#49271: 28.0.50: native-comp: Signing macOS self-contained .app bundle fails due to new *.eln location

From: Jim Myhrberg <[email-masked]>
Date: Wed, 30 Jun 2021 13:39:10 +0100

On Wed, Jun 30, 2021 at 1:20 PM Eli Zaretskii <[email-masked]> wrote:

> The *.eln files are shared libraries.  What is the canonical place to
> install shared libraries specific to an application?

This page indicates that "Contents/Frameworks" is the place for shared
libraries: https://wiki.lazarus.freepascal.org/Application_Bundle

I just poked around the internals of a bunch of Apple's apps and a few
third party apps, and it looks like "Contents/Frameworks" is where
they're storing *.dylib files among other things. So it might be the
sensible place for shared libraries. However, the same "two dots in
folder name" issue applies with codesign there too, so to use it we'd
need to drop the emacs version (28.0.50) from all folder paths.